# drutopia-docker

[![Build Status](https://build.coopcloud.tech/api/badges/coop-cloud-chaos-patchs/drutopia-docker/status.svg)](https://build.coopcloud.tech/coop-cloud-chaos-patchs/drutopia-docker)

Containerised Drutopia

## Quick-start (Docker)

```
docker run -p80:80 -v "drutopia_data:/opt/drupal/web/sites/" git.coopcloud.tech/coop-cloud-chaos-patchs/drutopia:dev-master
```

Then navigate to http://localhost

## Quick-start (Docker Compose)

```
wget https://git.coopcloud.tech/coop-cloud-chaos-patchs/drutopia-docker/raw/branch/main/docker-compose.yml
docker-compose up
```

Then navigate to http://localhost

## Background

Drutopia is a "flexible and extensible Drupal distribution".

This repository helps build and run a Docker image for Drutopia, [based on the
"official" Drupal images on Docker Hub](https://hub.docker.com/_/drupal/).

Although this image is mainly intended for use in [the Drutopia Co-op Cloud
recipe](https://git.coopcloud.tech/coop-cloud/drutopia), it should work fine in
other situations too.
